<template>
  <div class="chapter" num="12">
    <div class="page-box" page="282">
      <div v-if="showPageList.indexOf(282) > -1">
        <div class="padding-96">
          <p class="center" id="a017">
            <img
              class="img-a"
              alt=""
              src="../../../assets/images/chapterEleven/zhycs.jpg"
            />
          </p>
          <p class="block3">亲爱的同学：</p>
          <p class="block">
            祝贺你顺利完成本门课程的学习！想必在这门课程的学习过程中，你一定收获颇丰。
            下面，让咱们一起来检测一下学习效果吧。
            如果你全会，那恭喜你！如果你未能全部答对，也没有关系，请从教材中找到相应的内容复习一下吧。
            这里一共有十套测试题，现在开始自我检测之旅吧。
          </p>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷一</span>
            <examinations
            v-if="questionData && questionData[282][1]"
              :cardList="questionData[282][1]"
              :chapter="11"
              :page="2741"
            />
          </p>
          <span class="span-border"></span>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷二</span>
            <examinations
            v-if="questionData && questionData[282][2]"
              :cardList="questionData[282][2]"
              :chapter="11"
              :page="2742"
            />
          </p>
          <span class="span-border"></span>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷三</span>
            <examinations
            v-if="questionData && questionData[282][3]"
              :cardList="questionData[282][3]"
              :chapter="11"
              :page="2743"
            />
          </p>
          <span class="span-border"></span>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷四</span>
            <examinations
            v-if="questionData && questionData[282][4]"
              :cardList="questionData[282][4]"
              :chapter="11"
              :page="2744"
            />
          </p>
          <span class="span-border"></span>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷五</span>
            <examinations
            v-if="questionData && questionData[282][5]"
              :cardList="questionData[282][5]"
              :chapter="11"
              :page="2745"
            />
          </p>
        </div>
      </div>
    </div>
    <div class="page-box" page="283">
      <div v-if="showPageList.indexOf(283) > -1">
        <div class="page-header-box">
          <span class="page-header-text">综合云测试</span>
          <span class="page-header-num">275</span>
        </div>
        <div class="padding-96">
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷六</span>
            <examinations
            v-if="questionData && questionData[283][1]"
              :cardList="questionData[283][1]"
              :chapter="11"
              :page="2746"
            />
          </p>
          <span class="span-border"></span>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷七</span>
            <examinations
            v-if="questionData && questionData[283][2]"
              :cardList="questionData[283][2]"
              :chapter="11"
              :page="2747"
            />
          </p>
          <span class="span-border"></span>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷八</span>
            <examinations
            v-if="questionData && questionData[283][3]"
              :cardList="questionData[283][3]"
              :chapter="11"
              :page="2748"
            />
          </p>
          <span class="span-border"></span>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷九</span>
            <examinations
            v-if="questionData && questionData[283][4]"
              :cardList="questionData[283][4]"
              :chapter="11"
              :page="2749"
            />
          </p>
          <span class="span-border"></span>
          <p class="block3">
            <span class="block3 center dl-bl w100 mt-40">卷十</span>
            <examinations
            v-if="questionData && questionData[283][5]"
              :cardList="questionData[283][5]"
              :chapter="11"
              :page="27410"
            />
          </p>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import examinations from "@/components/examinations/index.vue";
export default {
  name: "chapterEleven",
  components: { examinations },
  props: {
    questionData: {
      type: Object,
    },
    showPageList: {
      type: Array,
    },
  },
  data() {
    return {
      questionData: {},
    };
  },
  async mounted() {},
};
</script>

<style lang="less" scoped></style>
